
import numpy as np, matplotlib.pyplot as plt, matplotlib.tri as tri, sys
sys.path.append("../lib")

f, ax = plt.subplots()
f.set_size_inches(5,3)

ax.xaxis.label.set_size(12)
ax.yaxis.label.set_size(12)
ax.tick_params(axis='x', labelsize=10)
ax.tick_params(axis='y', labelsize=10)

I = 1
sigma = 100
R1 = 0.05
R2 = np.linspace(0.015,0.05,100, endpoint=True)
H = np.linspace(0.0025,0.02, 100, endpoint=True)
R2, H = np.meshgrid(R2, H)

from ohm import etaCylinder
ohm = etaCylinder(I, sigma, 2*R1, 2*R2, H)

levels = np.linspace(0, 0.11, 100, endpoint=True)
#levels = 100
cmap='inferno_r'#'cividis'#'inferno'#'afmhot_r'
im1 = ax.contourf(R2/R1, 1e3*H, ohm, levels=levels, cmap=cmap, extend="both")

levels2 = np.linspace(0, 0.11, 10, endpoint=True)
im2 = ax.contour(im1, levels=levels2, colors='k', linewidths=0.1)
cbar = f.colorbar(im1, ax=ax, label=r'$\eta_\Omega$ in V', ticks=[0.0,0.02,0.04,0.06,0.08,0.1])


# save image
ax.set(xlabel=r"$R_2/R_1$", ylabel=r"$H$ in mm")

f.subplots_adjust(left=0.13,bottom=0.15,right=0.98,top=0.98,wspace=0.15,hspace=0.25)
f.savefig("f1.pdf")
