
import numpy as np
import matplotlib.pyplot as plt

helmholtzBlau          = (       0.,  88./255., 156./255.)
rossendorfOrange       = (207./255., 104./255., 0.)
helmholtzDunkelBlau    = (       0.,  62./255., 110./255.)
grau1                  = ( 81./255.,  81./255.,  81./255. )
grau2                  = (156./255., 156./255., 156./255.)
grau3                  = (185./255., 185./255., 185./255.)


f, ax = plt.subplots()
f.set_size_inches(6,4)

ax.xaxis.label.set_size(12)
ax.yaxis.label.set_size(12)
ax.tick_params(axis='x', labelsize=10)
ax.tick_params(axis='y', labelsize=10)


d = np.genfromtxt('0202_cycl_10A_-10A_15min_15min.txt', skip_header=1)
plt.plot(d[:,0]/60., 1e-3*d[:,1], linewidth=5, label='1', color=grau3)
plt.plot(d[:,0]/60. - 30, 1e-3*d[:,1], linewidth=1, label='2', color='k')
plt.plot(d[::101,0]/60. - 60, 1e-3*d[::101,1], 'o', linewidth=2, label='3', color='k')

plt.xlim(0,32)

ax.set(xlabel=r"$t$ in min", ylabel=r"$E$ in mV")
plt.legend(title='cycle:')

f.subplots_adjust(left=0.12,bottom=0.11,right=0.98,top=0.98,wspace=0.15,hspace=0.25)
f.savefig("f2.pdf")
